Bug 1387521 - Port to OpenSSL 1.1.0
Summary: Port to OpenSSL 1.1.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
: 1424552 (view as bug list)
Depends On:
Blocks: 1383740 F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-10-21 07:42 UTC by Petr Pisar
Modified: 2017-07-07 22:59 UTC (History)
4 users (show)

Fixed In Version: xchat-2.8.8-34.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-07 22:59:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2016-10-21 07:42:32 UTC
xchat-2.8.8-32.fc26 fails to build in F26:

gcc -DHAVE_CONFIG_H -I. -I../.. -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libpng16  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/usr/lib/perl5/CORE  -Wno-pointer-sign -funsigned-char   -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libpng16 -c -o server.o server.c
server.c: In function 'ssl_cb_verify':
server.c:601:47: error: dereferencing pointer to incomplete type 'X509_STORE_CTX {aka struct x509_store_ctx_st}'
  X509_NAME_oneline (X509_get_subject_name (ctx->current_cert), subject,
                                               ^~

This is caused by upgrading openssl from 1:1.0.2j-1.fc26 to 1:1.1.0b-1.fc26.

Comment 1 Patrick Griffis 2016-11-29 01:50:37 UTC
Probably a good time to remove this pacakge. See also bug 1217584

Comment 2 Petr Pisar 2017-02-20 16:14:04 UTC
*** Bug 1424552 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2017-02-28 10:29:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Debarshi Ray 2017-06-26 14:08:11 UTC
Should be fixed in xchat-2.8.8-34.fc26:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20186710

Comment 5 Fedora Update System 2017-06-26 14:19:50 UTC
xchat-2.8.8-34.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-537f75a98b

Comment 6 Fedora Update System 2017-06-27 06:25:40 UTC
xchat-2.8.8-34.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-537f75a98b

Comment 7 Fedora Update System 2017-07-07 22:59:35 UTC
xchat-2.8.8-34.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.